Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226650 - Merge Review: xorg-x11-xdm
Summary: Merge Review: xorg-x11-xdm
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On: 237621
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 21:34 UTC by Nobody's working on this, feel free to take it
Modified: 2012-06-15 16:33 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-01 16:38:00 UTC
panemade: fedora-review+


Attachments (Terms of Use)
spec file patch with cleanups (deleted)
2008-01-11 18:39 UTC, Patrice Dumas
no flags Details | Diff

Description Nobody's working on this, feel free to take it 2007-01-31 21:34:14 UTC
Fedora Merge Review: xorg-x11-xdm

http://cvs.fedora.redhat.com/viewcvs/devel/xorg-x11-xdm/
Initial Owner: sandmann@redhat.com

Comment 1 Patrice Dumas 2008-01-11 18:34:35 UTC
I think that almost many of the files in /etc/X11/xdm/ should be
%config and even %config(noreplace).

Having the pam files %config and not %config(noreplace) seems a
bit dubious to me.

It seems to me that xdm lacks proper integration in fedora for 2 
things, it doesn't use consolekit or /usr/share/xsessions. To 
help with that, I created little package that add:
    * Support for a session chooser using xsessions/*.desktop files
    * ConsoleKit session
at 
http://www.environnement.ens.fr/perso/dumas/xdm-ck-xsessions.html

I think that it should be nice to use it in some way in fedora.

Comment 2 Patrice Dumas 2008-01-11 18:39:19 UTC
Created attachment 291409 [details]
spec file patch with cleanups

remove old cruft, keep timestamps, version obsoletes and provides.

%{_datadir}/X11/app-defaults/Chooser is not to be edited by the 
user,and hopefully  there is a place where user customization
should go.

Comment 3 Patrice Dumas 2008-03-23 16:14:09 UTC
xdm-1.1.7 is out, please update and also please consider my
patch above.

Comment 4 Patrice Dumas 2008-04-06 10:35:37 UTC
It would be nice to have consolekit support in F-9. I am using what I describe
above for some moonths now, and I think it would be nice to have it in fedora. I
can submit it for inclusion or you can add it in the xdm package, but please
move on.

Comment 5 Parag AN(पराग) 2010-10-01 16:38:00 UTC
Its simple cleanup so directly done in git. Fixed in xorg-x11-xdm-1.1.6-21.fc15

Remember Ajax don't want to remove Provides: so I have kept them and he will be updating this package to latest upstream soon.


APPROVED.

Comment 6 Parag AN(पराग) 2012-06-15 16:33:53 UTC
hah! howcome i missed this package to set the flag fedora-review+ ?


Note You need to log in before you can comment on or make changes to this bug.